{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <div class="row w-50 m-auto" data-controller="registration">
            <div class="col-12 h1 text-center pt-4">
                Registration
            </div>

            <div class="col text-center">
                I already have account - <a href="{{ path('app_login_twig') }}">Login</a>
            </div>
            
            <div class="col-12 alert alert-danger" data-registration-target='error'> 
            </div>

            <div class="col-12 alert alert-success" data-registration-target='success'> 
            </div>
            
            <div class="col-12 pt-4">
                {{ form(form) }}
                <div class="form-check">
                    <input type="checkbox" class="form-check-input" data-registration-target='admin' checked>
                    <label class="form-check-label">Admin</label>
                </div>
            </div>
            <div class="col-12 text-center">
                <button 
                class="w-25 btn btn-dark m-auto" 
                data-action="registration#registrate"
                >
                    Registrate
                </button>
            </div>
        </div>
    </div>
{% endblock %}